Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277473 - Console: Data conversion error converting "false": when loading data in Process Instances perspective
Summary: Console: Data conversion error converting "false": when loading data in Proce...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR1
: 6.2.0
Assignee: Neus Miras
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
: 1277545 (view as bug list)
Depends On:
Blocks: 1228069 1258020 1272196
TreeView+ depends on / blocked
 
Reported: 2015-11-03 12:23 UTC by Jan Hrcek
Modified: 2020-03-27 19:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:36:36 UTC
Type: Bug


Attachments (Terms of Use)
server.log with exception (169.55 KB, text/plain)
2015-11-03 12:23 UTC, Jan Hrcek
no flags Details
sybase157 server log (281.67 KB, text/plain)
2015-11-04 10:06 UTC, Pavel Kralik
no flags Details
postgresql92 server log (221.76 KB, text/plain)
2015-11-04 10:07 UTC, Pavel Kralik
no flags Details
oracle12c server log (375.07 KB, text/plain)
2015-11-04 10:07 UTC, Pavel Kralik
no flags Details
oracle11gR2RAC server log (340.88 KB, text/plain)
2015-11-04 10:08 UTC, Pavel Kralik
no flags Details
oracle11gR2 server log (335.33 KB, text/plain)
2015-11-04 10:08 UTC, Pavel Kralik
no flags Details
db2-101 server log (186.15 KB, text/plain)
2015-11-04 10:09 UTC, Pavel Kralik
no flags Details

Description Jan Hrcek 2015-11-03 12:23:24 UTC
Created attachment 1088955 [details]
server.log with exception

Description of problem:
When you start an instance of some process (e.g. Evaluation) and then navigate to Process Instances perspective, there is a modal with error shown & the following exception in server.log (attached):

org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmProcessInstances
...
Caused by: org.h2.jdbc.JdbcSQLException: Data conversion error converting "false"; SQL statement:
SELECT COUNT(*) FROM (SELECT PROCESSINSTANCEID, PROCESSID, START_DATE, END_DATE, STATUS, PARENTPROCESSINSTANCEID, OUTCOME, DURATION, USER_IDENTITY, PROCESSVERSION, PROCESSNAME, CORRELATIONKEY, EXTERNALID, PROCESSINSTANCEDESCRIPTION FROM PROCESSINSTANCELOG WHERE STATUS = 'false' ORDER BY START_DATE ASC) "dbSQL" [22018-168]
...
Caused by: Caused by: java.lang.NumberFormatException: For input string: "false"




Version-Release number of selected component (if applicable):
BPM Sute 6.2.0 ER5

How reproducible:
Always

Steps to Reproduce:
1. Start an instance of any process (e.g. Evaluation) in Process Definitions
2. Navigate to Process Instances perps.


Actual results:
Modal with error displaed + exception in server.log

Expected results:
Process Instance displayed

Additional info:

Comment 1 Kris Verlaenen 2015-11-03 16:41:01 UTC
*** Bug 1277545 has been marked as a duplicate of this bug. ***

Comment 2 Pavel Kralik 2015-11-04 10:05:36 UTC
This bug affects BPMS running with following DB: db2-101, oracle11gR2, oracle11gR2RAC, oracle12c, postgresql92,  sybase157.

Comment 3 Pavel Kralik 2015-11-04 10:06:44 UTC
Created attachment 1089542 [details]
sybase157 server log

Comment 4 Pavel Kralik 2015-11-04 10:07:19 UTC
Created attachment 1089543 [details]
postgresql92 server log

Comment 5 Pavel Kralik 2015-11-04 10:07:50 UTC
Created attachment 1089544 [details]
oracle12c server log

Comment 6 Pavel Kralik 2015-11-04 10:08:13 UTC
Created attachment 1089545 [details]
oracle11gR2RAC server log

Comment 7 Pavel Kralik 2015-11-04 10:08:43 UTC
Created attachment 1089546 [details]
oracle11gR2 server log

Comment 8 Pavel Kralik 2015-11-04 10:09:09 UTC
Created attachment 1089547 [details]
db2-101 server log

Comment 9 Pavel Kralik 2015-11-04 16:21:25 UTC
Please, check this SQL error too. Experienced in BPMS with oracle11gR2RAC as a datasource.

17:56:21,829 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (http-localhost/127.0.0.1:8080-11) SELECT COUNT(*) FROM (SELECT ID, TIMESTAMP, STATUS, COMMANDNAME, MESSAGE, BUSINESSKEY FROM REQUESTINFO WHERE ID = 'true' ORDER BY TIMESTAMP ASC) "dbSQL"
17:56:21,829 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-11) Can't lookup on specified data set: jbpmRequestList: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmRequestList
...
Caused by: java.sql.SQLSyntaxErrorException: ORA-01722: invalid number

Comment 10 Neus Miras 2015-11-10 12:27:32 UTC
There were a problem with the dataset condition marshaling that has been solved in 
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/b9ee18604c21730050ad4af3048b00cc996c0c2c

In master this json code marshaling is included in dashbuilders modules.

Comment 11 Jan Hrcek 2015-11-20 12:07:05 UTC
The original issue reported (with H2 db) has been fixed. Transferring to Pavel to verify that there are no issues with this on other databases.

Comment 12 Pavel Kralik 2015-11-20 13:20:23 UTC
BPMS 6.2.0.CR1 
Fixed for all supported DB's.


Note You need to log in before you can comment on or make changes to this bug.